GET
/investments/{id}/transactionsList investment transactions
Recovers all investment transactions for the investment provided
Parameters
Path Parameters
| Name | Type |
|---|---|
idrequired | string (uuid) |
Query Parameters
| Name | Type |
|---|---|
pageSize | number (double) |
page | number (double) |
Responses
200Retrieve a list of all transactions for an investment
object
resultsrequiredobject[]
itemsobject
Movement of the investment
pagerequirednumber (double)
totalrequirednumber (double)
totalPagesrequirednumber (double)
Example response
json
{
"results": [
{
"id": "string",
"type": "BUY",
"movementType": "CREDIT",
"quantity": 0,
"value": 0,
"amount": 0,
"agreedRate": 0,
"indexerPercentage": 0,
"priceFactor": 0,
"date": "2024-01-01T00:00:00Z",
"tradeDate": "2024-01-01T00:00:00Z",
"expenses": {
"serviceTax": 0,
"brokerageFee": 0,
"incomeTax": 0,
"tradingAssetsNoticeFee": 0,
"maintenanceFee": 0,
"settlementFee": 0,
"clearingFee": 0,
"stockExchangeFee": 0,
"custodyFee": 0,
"operatingFee": 0,
"other": 0,
"iof": 0,
"iofProvision": 0
}
}
],
"page": 0,
"total": 0,
"totalPages": 0
}Code Examples
bash
curl -X GET 'https://api.pluggy.ai/investments/{id}/transactions' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Try It
Path Parameters
Query Parameters
